package market.tcp.mapper;
import java.util.HashMap;
import java.util.List;

import market.tcp.vo.RtdEnergyHour;
import market.tcp.vo.RtdPingzheng;
import market.tcp.vo.RtdSuanxi;
import market.tcp.vo.RtdTuihuolu;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import com.hnshituo.orm.GenericMapper;

@SuppressWarnings("rawtypes")
public interface RtdEnergyHourMapper extends GenericMapper<RtdEnergyHour,Object> {

	List<RtdEnergyHour> doQueryWeb(RtdEnergyHour object,String memo1);
	
	List<HashMap> doQueryWeb_Jingji(RtdEnergyHour object);
	
	public void doRtdSetZero(@Param("t")RtdEnergyHour reh);
	
	public RtdTuihuolu doQueryMaxRtdTuihuolu(String wrk_date);
	public RtdPingzheng doQueryMaxRtdPingzheng(String wrk_date);
	public RtdSuanxi doQueryMaxRtdSuanxi(String wrk_date);
	
	@Select("${sql}")
	public List<RtdPingzheng> doQueryRtdPingzhengHour(@Param("sql")String sql);
	
	@Select("${sql}")
	public List<RtdTuihuolu> doQueryRtdTuiHuoHour(@Param("sql")String sql);
	
	@Select("${sql}")
	public List<RtdSuanxi> doQueryRtdSuanxiHour(@Param("sql")String sql);
}

